complexType "CoalAttributePercentage"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 3 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 5 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | (standardContent, rejectionLimit?) | rejectionLimit
</...>

Content Model Elements (3):

  rejectionLimit (defined in CoalAttributePercentage complexType),
  rejectionLimit (defined in CoalAttributePercentage complexType),
  standardContent (defined in CoalAttributePercentage complexType)

All Direct / Indirect Based Elements (5):

  ash, moisture, SO2, sulfur, volatile

Known Usage Locations

- As direct type of elements (5):
  ash, moisture, SO2, sulfur, volatile

Annotation
The different options for specifying the attributes of a coal quality measure as a percentage of the measured value.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="CoalAttributePercentage"> <xsd:choice> <xsd:sequence> <xsd:element name="standardContent" type="RestrictedPercentage"/> <xsd:element minOccurs="0" name="rejectionLimit" type="RestrictedPercentage"/> </xsd:sequence> <xsd:sequence> <xsd:element name="rejectionLimit" type="RestrictedPercentage"/> </xsd:sequence> </xsd:choice> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
rejectionLimit

  Type: | RestrictedPercentage, simple content

  The actual limits of the quality characteristics of the Coal Product above or below which the Buyer may reject a Shipment.
  Simple Content

  xsd:decimal

  maxInclusive: | 1
  minInclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="rejectionLimit" type="RestrictedPercentage"/>

rejectionLimit

  Type: | RestrictedPercentage, simple content

  The actual limits of the quality characteristics of the Coal Product above or below which the Buyer may reject a Shipment.
  Simple Content

  xsd:decimal

  maxInclusive: | 1
  minInclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="rejectionLimit" type="RestrictedPercentage"/>

standardContent

  Type: | RestrictedPercentage, simple content

  The actual content of the quality characteristics of the Coal Product Shipment expected by the Buyer.
  Simple Content

  xsd:decimal

  maxInclusive: | 1
  minInclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="standardContent" type="RestrictedPercentage"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.